#!/bin/bash

set -e

clear

if [ "$1" = "-u" ]; then

	echo ====================
	echo Authenticating . . . ]
	echo ====================

	sudo rm -fv /Applications/Minecraft\ G4.app

        echo ==================================================
        echo Uninstalling Minecraft Definitive G4 Edition . . . ]
        echo ==================================================

	sudo rm -rfv ~/Library/Application\ Support/Minecraft

	echo ===================
	echo Uninstall Complete! ]
	echo ===================
	
	exit 0
fi

cd "$(dirname "$0")"

echo This script will automatically install the Minecraft Definitive G4 Edition libraries to ~/Library/Application Support, and the Minecraft Definitive G4 Edition launcher to /Applications.

echo

echo ====================
echo Authenticating . . . ]
echo ====================

sudo cp -Rv Minecraft ~/Library/Application\ Support

echo ================================================
echo Installing Minecraft Definitive G4 Edition . . . ]
echo ================================================

sudo cp -v Minecraft\ G4.app /Applications

sudo chmod 775 /Applications/Minecraft\ G4.app

sudo chmod -R 775 ~/Library/Application\ Support/Minecraft

echo ======================
echo Installation Complete! ]
echo ======================
